Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038438
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2018-04-24 15:362018-05-18 15:01
ReporterkchoperenaView Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in VersionRR18Q3
StatusclosedFix in branchFixed in SCM revision033dee8e5bbf
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038438: [SERQ 3874]: Error when we add a credit note in store A for a customer that have created a credit note in store B

DescriptionError when trying to create a credit note in Store A for a customer that has been created in Store B and have a related credit note in that store.

It is needed to configure Credit Note in a POS Terminal of Vallblanca (IE: VBS-1)
Steps To Reproduce1.https://livebuilds.openbravo.com/retail_modules_pgsql_pi/web/org.openbravo.retail.posterminal/?terminal=VBS-1#retail.pointofsale [^]
2. Click on “Customer Button”.
3. Click on “New Customer Button”
4. From Popup “New Customer”, Fill the data
5. Click on “Save Button”
6. Click on “Assign Customer”
7. insert a product
8. Return line -button-
9. click Total
10. select 'Credit Note' -payment methods.
11. click V + Done
12.https://livebuilds.openbravo.com/retail_modules_pgsql_pi/web/org.openbravo.retail.posterminal/?terminal=YS-11 [^]
13. Assign Customer created previously
14. insert a product
15. Return line -button-
16. click Total
17. select 'Credit Note' -payment methods.
18. click V + Done
ERROR: https://drive.google.com/open?id=1HU_qi2lttp94HO43WkjytllOfGNMoHGC [^]

cdb72c84 2018-04-24 09:39:19,602 [ajp-nio-8009-exec-9] ERROR org.openbravo.mobile.core.process.DataSynchronizationProcess - Entity 1067706 - 24-04-2018 - Bravo Open - 39.99 (FIN_Payment) with organization BUT STRASBOURG NORD references an entity AMBRE CORDIER - 24-04-2018 09:39:18 through its property obposAppCashup but this referenced entity belongs to an organization BUT BOURG-EN-BRESSE which is not part of the natural tree of BUT STRASBOURG NORD
org.openbravo.base.exception.OBSecurityException: Entity 1067706 - 24-04-2018 - Bravo Open - 39.99 (FIN_Payment) with organization BUT STRASBOURG NORD references an entity AMBRE CORDIER - 24-04-2018 09:39:18 through its property obposAppCashup but this referenced entity belongs to an organization BUT BOURG-EN-BRESSE which is not part of the natural tree of BUT STRASBOURG NORD
        at org.openbravo.dal.core.OBInterceptor.checkReferencedOrganizations(OBInterceptor.java:314)
        at org.openbravo.dal.core.OBInterceptor.onFlushDirty(OBInterceptor.java:189)
        at org.hibernate.event.def.DefaultFlushEntityEventListener.invokeInterceptor(DefaultFlushEntityEventListener.java:372)
        at org.hibernate.event.def.DefaultFlushEntityEventListener.handleInterception(DefaultFlushEntityEventListener.java:349)
        at org.hibernate.event.def.DefaultFlushEntityEventListener.scheduleUpdate(DefaultFlushEntityEventListener.java:287)
        at org.hibernate.event.def.DefaultFlushEntityEventListener.onFlushEntity(DefaultFlushEntityEventListener.java:155)
        at org.hibernate.event.def.AbstractFlushingEventListener.flushEntities(AbstractFlushingEventListener.java:219)
        at org.hibernate.event.def.AbstractFlushingEventListener.flushEverythingToExecutions(AbstractFlushingEventListener.java:99)
        at org.hibernate.event.def.DefaultFlushEventListener.onFlush(DefaultFlushEventListener.java:50)
        at org.hibernate.impl.SessionImpl.flush(SessionImpl.java:1216)
        at org.openbravo.dal.service.OBDal.flush(OBDal.java:260)
        at org.openbravo.retail.giftcards.process.GiftCardGLItemUtils.close(GiftCardGLItemUtils.java:110)
        at org.openbravo.retail.giftcards.process.GiftCardGLItemUtils.close(GiftCardGLItemUtils.java:50)
        at org.openbravo.retail.giftcards.GiftCardModel.createCreditNote(GiftCardModel.java:733)
        at org.openbravo.retail.giftcards.hooks.GiftCardHookUtils.updateGCPaymentTransaction(GiftCardHookUtils.java:54)
        at org.openbravo.retail.giftcards.hooks.OrderLoaderHookGiftCard.exec(OrderLoaderHookGiftCard.java:35)
        at org.openbravo.retail.giftcards.hooks.OrderLoaderHookGiftCard$Proxy$_$$_WeldClientProxy.exec(OrderLoaderHookGiftCard$Proxy$_$$_WeldClientProxy.java)
        at org.openbravo.retail.posterminal.OrderLoader.executeHooks(OrderLoader.java:587)
        at org.openbravo.retail.posterminal.OrderLoader.saveRecord(OrderLoader.java:531)
Proposed Solutionhttps://code.openbravo.com/erp/pmods-branches/org.openbravo.retail.giftcards-but-dev/rev/bcfc85808a6b [^]
https://code.openbravo.com/erp/pmods-branches/org.openbravo.retail.giftcards-but-dev/rev/dac451310b0f [^]
https://code.openbravo.com/erp/pmods-branches/org.openbravo.retail.giftcards-but-dev/rev/97bb23e6bfe0 [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0104509)
hgbot (developer)
2018-05-14 21:50

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: 033dee8e5bbf1a36193e71b67d3bd859a1db8aaf
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Mon May 14 13:48:52 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/033dee8e5bbf1a36193e71b67d3bd859a1db8aaf [^]

Fixed issue 38438: [SERQ 3874]: Error when we add a credit note in store A for a
customer that have created a credit note in store B

---
M src/org/openbravo/retail/giftcards/CloseGiftCard.java
M src/org/openbravo/retail/giftcards/process/GiftCardGLItemUtils.java
---

- Issue History
Date Modified Username Field Change
2018-04-24 15:36 kchoperena New Issue
2018-04-24 15:36 kchoperena Assigned To => Retail
2018-04-24 15:36 kchoperena Triggers an Emergency Pack => No
2018-04-25 09:09 kchoperena Steps to Reproduce Updated View Revisions
2018-04-26 10:25 kchoperena Proposed Solution updated
2018-05-03 16:30 kchoperena Summary [SERQ 3875]: Error when we add a credit note in store A for a customer that have created a credit note in store B => [SERQ 3874]: Error when we add a credit note in store A for a customer that have created a credit note in store B
2018-05-03 16:30 kchoperena Proposed Solution updated
2018-05-07 12:43 xabiermerino Steps to Reproduce Updated View Revisions
2018-05-07 13:01 xabiermerino Description Updated View Revisions
2018-05-07 13:01 xabiermerino Steps to Reproduce Updated View Revisions
2018-05-10 22:08 rqueralta Assigned To Retail => rqueralta
2018-05-10 22:08 rqueralta Status new => scheduled
2018-05-14 21:50 hgbot Checkin
2018-05-14 21:50 hgbot Note Added: 0104509
2018-05-14 21:50 hgbot Status scheduled => resolved
2018-05-14 21:50 hgbot Resolution open => fixed
2018-05-14 21:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/033dee8e5bbf1a36193e71b67d3bd859a1db8aaf [^]
2018-05-18 15:01 marvintm Review Assigned To => marvintm
2018-05-18 15:01 marvintm Status resolved => closed
2018-05-18 15:01 marvintm Fixed in Version => RR18Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker